.\" Copyright (c) 1995, 2008, Oracle and/or its affiliates. All rights reserved.
.\"
.\" Permission is hereby granted, free of charge, to any person obtaining a
.\" copy of this software and associated documentation files (the "Software"),
.\" to deal in the Software without restriction, including without limitation
.\" the rights to use, copy, modify, merge, publish, distribute, sublicense,
.\" and/or sell copies of the Software, and to permit persons to whom the
.\" Software is furnished to do so, subject to the following conditions:
.\"
.\" The above copyright notice and this permission notice (including the next
.\" paragraph) shall be included in all copies or substantial portions of the
.\" Software.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
.\" IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
.\" FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
.\" THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
.\" LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
.\" FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
.\" DEALINGS IN THE SOFTWARE.
.\"
.TH XSolarisOvlCreateWindow __libmansuffix__ __xorgversion__ "X FUNCTIONS"
.IX "XSolarisOvlCreateWindow" "" "\f3XSolarisOvlCreateWindow\f1(3) \(em creates an overlay window" ""
.SH NAME
XSolarisOvlCreateWindow \- creates an overlay window
.SH SYNOPSIS
.LP
\&#include <X11/extensions/transovl.h>

.IP \f3Window\f1 9n
.B XSolarisOvlCreateWindow
.B (Display
.I *display,
.B Window
.I parent,
.B int
.I x,
.B int
.I y,
.B unsigned
.I int width,
.B unsigned
.I int height,
.B unsigned
.I int border_width,
.B int
.I depth,
.B unsigned
.I int class,
.B Visual
.I *visual,
.B unsigned long
.I valuemask,
.B XSetWindowAttributes
.I *attr)
.SH Arguments
The arguments for this routine are exactly the same as
XCreateWindow.
.TP
.I display
Specifies the connection to the X server.
.TP
.I parent
Specifies the parent window.
.TP
.I x, y
Specifies the coordinates of the upper-left pixel of this window,
relative to the parent window.
.TP
.I width, height
Specifies the width and height, in pixels, of the window.
.TP
.I border_width
Specifies the width, in pixels, of the window's borders.
.TP
.I depth
Specifies the depth of the window.
.TP
.I class
Specifies the class of the window. If it is not
.B InputOutput,
the window will not be an overlay window.
.TP
.I visual
Specifies a pointer to the visual structure for this window.
.TP
.I valuemask
Specifies which window attributes are defined in the attr argument.
.TP
.I attr
Specifies the attributes of the window.
.SH DESCRIPTION
This routine creates an overlay window with the given characteristics.
It behaves exactly as its counterpart
.B XCreateWindow,
except the newly created window can be rendered into with both opaque
and transparent paint, and the background is transparent.
.SH SEE ALSO
.LP
.BR XCreateWindow (3)
