.\" Copyright (c) 1995, 2008, Oracle and/or its affiliates. All rights reserved.
.\"
.\" Permission is hereby granted, free of charge, to any person obtaining a
.\" copy of this software and associated documentation files (the "Software"),
.\" to deal in the Software without restriction, including without limitation
.\" the rights to use, copy, modify, merge, publish, distribute, sublicense,
.\" and/or sell copies of the Software, and to permit persons to whom the
.\" Software is furnished to do so, subject to the following conditions:
.\"
.\" The above copyright notice and this permission notice (including the next
.\" paragraph) shall be included in all copies or substantial portions of the
.\" Software.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
.\" IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
.\" FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
.\" THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
.\" LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
.\" FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
.\" DEALINGS IN THE SOFTWARE.
.\"
.TH XSolarisOvlGetPaintType __libmansuffix__ __xorgversion__ "X FUNCTIONS"
.IX "XSolarisOvlGetPaintType" "" "\f3XSolarisOvlGetPaintType\f1(3) \(em gets the current paint type set in the GC.
.SH NAME
XSolarisOvlGetPaintType \- gets the current paint type set in the GC
.SH SYNOPSIS
.LP
\&#include <X11/extensions/transovl.h>

.IP \f3XSolarisOvlPaintType\f1
.B XSolarisOvlGetPaintType
.B (Display
.I *display,
.B GC
.I gc)
.SH Arguments
.TP
.I display
Specifies the connection to the X server.
.TP
.I gc
The GC to be inquired from.
.SH DESCRIPTION
This routine returns the current element of type
.B XSolarisOvlPaintType
associated with the given
.I gc.
.LP
.B XSolarisOvlPaintType
defines the paint type in each GC.
An enumeration defining two types of selections that can be done in
.B XSolarisOvlPaintType
.sp .5
.nf
typedef enum {
	XSolarisOvlPaintTransparent,
	XSolarisOvlPaintOpaque,
.br
} XSolarisOvlPaintType;
.fi
