.\" Copyright (c) 1995, 2008, Oracle and/or its affiliates. All rights reserved.
.\"
.\" Permission is hereby granted, free of charge, to any person obtaining a
.\" copy of this software and associated documentation files (the "Software"),
.\" to deal in the Software without restriction, including without limitation
.\" the rights to use, copy, modify, merge, publish, distribute, sublicense,
.\" and/or sell copies of the Software, and to permit persons to whom the
.\" Software is furnished to do so, subject to the following conditions:
.\"
.\" The above copyright notice and this permission notice (including the next
.\" paragraph) shall be included in all copies or substantial portions of the
.\" Software.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
.\" IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
.\" FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
.\" THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
.\" LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
.\" FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
.\" DEALINGS IN THE SOFTWARE.
.\"
.TH XSolarisOvlSetPaintType __libmansuffix__ __xorgversion__ "X FUNCTIONS"
.IX "XSolarisOvlSetPaintType" "" "\f3XSolarisOvlSetPaintType\f1(3) \(em specifies the type of paint rendered by subsequent Xlib drawing with the given GC.
.SH NAME
XSolarisOvlSetPaintType \- specifies the type of paint rendered by subsequent Xlib drawing with the given GC
.SH SYNOPSIS
.LP
\&#include <X11/extensions/transovl.h>

.IP \f3void\f1 5n
.B XSolarisOvlSetPaintType
.B (Display
.I *display,
.B GC
.I gc,
.B XSolarisOvlPaintType
.I paintType)
.SH Arguments
.TP
.I display
Specifies the connection to the X server.
.TP
.I gc
Specifies the affected GC.
.TP
.I paintType
Specifies the type of paint rendered by subsequent Xlib drawing
routines using the specified GC.
.SH DESCRIPTION
This routine controls the type of paint rendered by an Xlib GC.
It controls whether Xlib drawing routines using this GC produce
pixels on overlay windows that are opaque or transparent.
The paint type specified applies to the GC until it is changed by
another call to this routine. The paint type attribute applies to
both the foreground and background GC attributes.
If the value of
.I paintType
is
.B XSolarisOvlPaintOpaque,
the pixels generated by subsequent Xlib drawing routines with this
GC will be opaque.  This means the pixels will obscure underlying pixels.
If the value of
.I paintType
is
.B XSolarisOvlPaintTransparent,
the pixels generated by subsequent Xlib drawing routines with this GC
will be transparent. This means that, for these pixels, the color of the
underlying pixels will be displayed.
By default, a GC renders opaque paint.
